<?php
/**
 * Class that operate on table 'sparepartstore'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2013-09-28 11:55
 */
class SparepartstoreMySqlExtDAO extends SparepartstoreMySqlDAO{

	public function insertFirstSparePartsStore($sparepartstore){
		$sql = 'INSERT INTO sparepartstore (sparepartstoreId, storeName, storeDate, storeDescription, conditions, userId) VALUES (?, ?, ?, ?, ?, ?)';
		$sqlQuery = new SqlQuery($sql);
		
		$sqlQuery->setNumber($sparepartstore->sparepartstoreId);
		$sqlQuery->set($sparepartstore->storeName);
		$sqlQuery->set($sparepartstore->storeDate);
		$sqlQuery->setString2($sparepartstore->storeDescription);
		$sqlQuery->setNumber($sparepartstore->conditions);
		$sqlQuery->setNumber($sparepartstore->userId);

		$this->executeInsert($sqlQuery);	
	}

	
}


?>